Package org.codehaus.commons.compiler

# Interface AbstractJavaSourceClassLoader.ProtectionDomainFactory

Enclosing class:
  `AbstractJavaSourceClassLoader`

public static interface AbstractJavaSourceClassLoader.ProtectionDomainFactory

See Also:
  - `AbstractJavaSourceClassLoader.setProtectionDomainFactory(org.codehaus.commons.compiler.AbstractJavaSourceClassLoader.ProtectionDomainFactory)`

## Method Summary

Modifier and Type
Method
Description
`ProtectionDomain`
`getProtectionDomain(String sourceResourceName)`

## Method Details

### getProtectionDomain

ProtectionDomain getProtectionDomain(String sourceResourceName)

Parameters:
  `sourceResourceName` - E.g. "pkg1/pkg2/Outer.java"